import 'package:zego_zpns/src/internal/zpns_converter.dart';
import 'package:zego_zpns/src/internal/zpns_settings.dart';

import 'call_kit_engine.dart';
import '../call_kit_defines.dart';

class CallKitManager {

  static CallKitEngine? instanceEngine;

  static CallKitEngine getInstance() {
    instanceEngine ??= CallKitEngine();
    return instanceEngine!;
  }

  static setInitConfiguration(CXProviderConfiguration configuration){
    ZPNsSettings.channel.invokeMethod('setCallKitInitConfig',{'config':ZPNsConverter.mCXProviderConfiguration(configuration),'isStatic':true});
  }
}